Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.measurement
Class ScoreDifferencePercentage

    java.lang.Object
      org.optaplanner.benchmark.impl.measurement.ScoreDifferencePercentage

All Implemented Interfaces:
  Serializable

    public class ScoreDifferencePercentage

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ScoreDifferencePercentage(double[] percentageLevels)`

Method Summary
`ScoreDifferencePercentage` | `add(ScoreDifferencePercentage augment)`
`static
`<S extends Score> ScoreDifferencePercentage`
` | `calculateScoreDifferencePercentage(Score<S> baseScore, Score<S> valueScore)`
`ScoreDifferencePercentage` | `divide(double divisor)`
`double[]` | `getPercentageLevels()`
`ScoreDifferencePercentage` | `multiply(double multiplicand)`
`ScoreDifferencePercentage` | `subtract(ScoreDifferencePercentage subtrahend)`
`String` | `toString()`
`String` | `toString(Locale locale)`
`String` | `toString(String locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScoreDifferencePercentage

    public ScoreDifferencePercentage(double[] percentageLevels)

Method Detail

### calculateScoreDifferencePercentage

    public static <S extends Score> ScoreDifferencePercentage calculateScoreDifferencePercentage(Score<S> baseScore,
                                                                                                 Score<S> valueScore)

### getPercentageLevels

    public double[] getPercentageLevels()

### add

    public ScoreDifferencePercentage add(ScoreDifferencePercentage augment)

### subtract

    public ScoreDifferencePercentage subtract(ScoreDifferencePercentage subtrahend)

### multiply

    public ScoreDifferencePercentage multiply(double multiplicand)

### divide

    public ScoreDifferencePercentage divide(double divisor)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(String locale)

### toString

    public String toString(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.